Bug 41096 - [sandybridge-m-gt2+] GPU lockup render.IPEHR: 0x7a000002
Summary: [sandybridge-m-gt2+] GPU lockup render.IPEHR: 0x7a000002
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 7.11
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-09-21 16:32 UTC by Bryce Harrington
Modified: 2011-11-12 23:22 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
BootDmesg.txt (66.66 KB, text/plain)
2011-09-21 16:41 UTC, Bryce Harrington
Details
CurrentDmesg.txt (41.68 KB, text/plain)
2011-09-21 16:41 UTC, Bryce Harrington
Details
i915_error_state.txt (2.14 MB, text/plain)
2011-09-21 16:41 UTC, Bryce Harrington
Details
XorgLog.txt (34.28 KB, text/plain)
2011-09-21 16:41 UTC, Bryce Harrington
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryce Harrington 2011-09-21 16:32:39 UTC
Forwarding this bug from Ubuntu reporter nvucinic:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/830136

[Problem]
GPU lockup on Sandybridge.  User had 10+ applications open, but don't know if that was involved in the cause.  User doesn't think any of the apps were 3D; perhaps the crash was triggered by compiz itself?


ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
Architecture: amd64
Chipset: sandybridge-m-gt2+
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
Date: Sat Aug 20 18:48:20 2011
DistUpgraded: Log time: 2011-08-15 23:12:10.375746
DistroCodename: oneiric
DistroVariant: ubuntu
DuplicateSignature: [sandybridge-m-gt2+] GPU lockup  render.IPEHR: 0x7a000002 Ubuntu 11.10
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GpuHangFrequency: This is the first time
GpuHangReproducibility: Seems to happen randomly
GpuHangStarted: Today
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21da]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426)
InterpreterPath: /usr/bin/python2.7
MachineType: LENOVO 4287CTO
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:
 
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.0.0-8-generic root=/dev/mapper/sda5_crypt ro quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg             1:7.6+7ubuntu6
 libdrm2                  2.4.26-1ubuntu1
 xserver-xorg-video-intel 2:2.15.901-1ubuntu2
SourcePackage: xserver-xorg-video-intel
Title: [sandybridge-m-gt2+] GPU lockup  render.IPEHR: 0x7a000002
UpgradeStatus: Upgraded to oneiric on 2011-08-15 (4 days ago)
UserGroups:
 
dmi.bios.date: 05/18/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET46WW (1.16 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4287CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET46WW(1.16):bd05/18/2011:svnLENOVO:pn4287CTO:pvrThinkPadX220:rvnLENOVO:rn4287CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4287CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.5.0-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1
Comment 1 Bryce Harrington 2011-09-21 16:41:00 UTC
Created attachment 51475 [details]
BootDmesg.txt
Comment 2 Bryce Harrington 2011-09-21 16:41:11 UTC
Created attachment 51476 [details]
CurrentDmesg.txt
Comment 3 Bryce Harrington 2011-09-21 16:41:25 UTC
Created attachment 51477 [details]
i915_error_state.txt
Comment 4 Bryce Harrington 2011-09-21 16:41:40 UTC
Created attachment 51478 [details]
XorgLog.txt
Comment 5 Michael Gratton 2011-09-25 01:03:36 UTC
I can confirm this is 3D related, happens to me whenever I am playing Civ4 under Wine.
Comment 6 Kenneth Graunke 2011-10-21 11:28:54 UTC
Here's a proposed fix:
http://lists.freedesktop.org/archives/mesa-dev/2011-October/013518.html
I developed it against master, but it ought to apply to 7.11 as well.
Comment 7 Kenneth Graunke 2011-10-24 14:26:12 UTC
Fix is now in Mesa master.

commit 3cc0a7be23ab603ed40d602595f673a44e079885
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Fri Oct 21 01:03:37 2011 -0700

    i965: Apply post-sync non-zero workaround to homebrew workaround.
    
    In commit 3e5d3626, Eric added a homebrew workaround to fix GPU hangs in
    the Mesa "engine" demo and oglc's api-texcoord test.
    
    Unfortunately, his PIPE_CONTROL contains a Depth Stall, which
    necessitates the post-sync non-zero workaround,
    
    Fixes GPU hangs in Civilization 4, PlaneShift, and 3DMMES.
    Hopefully Heroes of Newerth as well, though I haven't tested that.
    
    NOTE: This is candidate for the 7.11 branch.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=40324
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=41096
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-and-tested-by: Eric Anholt <eric@anholt.net>
Comment 8 Kenneth Graunke 2011-10-27 10:39:02 UTC
Fix is now in 7.11 branch as commit 439628318bfd4596d0d8129a0792d2c3ea849bb7; it will appear in the upcoming 7.11.1 release.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.